const { join } = require("node:path");
const { PluginName, PresetName } = require("@manuth/eslint-plugin-typescript");

module.exports = {
    root: true,
    extends: [
        `plugin:${PluginName}/${PresetName.RecommendedWithTypeChecking}`
    ],
    env: {
        node: true,
        browser: true
    },
    parserOptions: {
        project: [
            join(__dirname, "app.jsconfig.json"),
            join(__dirname, "eslint.jsconfig.json"),
            join(__dirname, "gulp.tsconfig.json")
        ]
    }
};
